# create_textgrid_mfa_simple.praat
# Written by E. Chodroff
# Oct 23 2018

# This script takes as input a directory containing wav files and 
# outputs TextGrids with a single tier called "utt" (for utterance) 
# and a single interval with the text of the transcript.
# The first boundary is currently set at 200 ms from the start.
# The second and final boundary is currently set at 500 ms from the end.

### CHANGE ME!
# directory with wav files that need TextGrids
dir$ = "/Users/eleanorchodroff/Desktop/example3/"

# text of transcript
text$ = "A boy fell from the window. The wife helped her husband. Big dogs can be dangerous. The shoes were very dirty. The player lost a shoe. Somebody stole the money. The fire was very hot. She's drinking from her own cup. The picture came from a book. The car is going too fast. The paint dripped on the ground. The towel fell on the floor. The family likes fish. The bananas are too ripe. He grew lots of vegetables. She argues with her sister. The kitchen window was clean. He hung up his raincoat. The mailman brought a letter. The mother heard the baby. She found her purse in the trash. The table has three legs. The children waved at the train. Her coat is on a chair. The girl is fixing her dress. It's time to go to bed. Mother read the instructions. The dog is eating some meat. Father forgot the bread. The road goes up a hill. The painter uses a brush. The family bought a house. Swimmers can hold their breath. She cut the steak with her knife. They're pushing an old car. The food is expensive. The children are walking home. They had two empty bottles. Milk comes in a carton. The dog sleeps in a basket. The house had nine bedrooms. They're shopping for school clothes. They're playing in the park. Rain is good for trees. They sat on a wooden bench. The child drank some fresh milk. The baby slept all night. The salt shaker is empty. The policeman knows the way. The buckets fill up quickly. The boy is running away. A towel is near the sink. Flowers can grow in the pot. He's skating with his friend. The janitor swept the floor. The lady washed the shirt. She took off her fur coat. The match boxes are empty. The man is painting a sign. The dog came home at last. "
###

## Maybe change me
# insert initial boundary 200 ms from start of file
boundary_start = 0.200

# insert final boundary 500 ms from end of file
boundary_end = 0.500
##

Create Strings as file list: "files", dir$ + "*.wav"
nFiles = Get number of strings

for i from 1 to nFiles
	selectObject: "Strings files"
	filename$ = Get string: i
	basename$ = filename$ - ".wav"
	Read from file: dir$ + basename$ + ".wav"
	dur = Get total duration
	To TextGrid: "utt", ""
	Insert boundary: 1, boundary_start
	Insert boundary: 1, dur-boundary_end
	Set interval text: 1, 2, text$
	Save as text file: dir$ + basename$ + ".TextGrid"
	select all
	minusObject: "Strings files"
	Remove
endfor